<?php
/**
 * @package linea21.modules
 * @subpackage workshoprep
 * @author linea21 <info@linea21.com>
 * @version $id SVN
 * @access public
 * @license http://opensource.org/licenses/gpl-3.0.html
 * 'Workshoprep' (as Workshop Report) module is used by 'Workshop' modules
 */

//////////// Check Inclusion de pages ////////////
if (!function_exists('AuthenthificationProcess')) {
    include_once("../lib/lib_common.php");
    ReloadIndex('admin');
} 
////////////

if(isset($_POST['id']))	$id=$_POST['id'];
if(isset($_GET['id']))	$id=$_GET['id'];
$cancel_action_link=$rub_link."&amp;todo=det&amp;id=".$id;


//////////// Check Droits utilisateur ////////////
if (!HaveRight('workshop')) ReloadIndex('admin');
if(!AuthUser4Workshop($id, $sql_object) && !IsSuperAdmin()) ReloadIndex('admin');
////////////


$mask_statut_P='';
$mask_statut_D='';
$mask_statut_AA='';
$mask_statut_PA='';

$req_det= SQL_getoneCompleteWorkshopRep($id);
$result=$sql_object->DBSelect($req_det);
if(count($result)>1) exit();

$form_title=formatText($result[0]['workrep_title'], '2FIELD');
$form_resume=formatText($result[0]['workrep_resume'], '2FIELD');
$form_comment=formatText($result[0]['workrep_comment'], '2FIELD');
$form_statut=$result[0]['workrep_statut'];
$current_statut=$result[0]['workrep_statut'];

$workshopreport_title=formatText($result[0]['workrep_title'], '2HTML');
$workrep_workshop_name=formatText($result[0]['workshop_denomination'], '2HTML');
$current_title=$workshopreport_title.' ('.$workrep_workshop_name.')';
$work_id=$result[0]['workrep_workshop_id'];
$rub_link="index.php?rub=workshop";
?>

<div id="chemin">
	<ul>
		<li>
			<a href="index.php"><? echo $GLOBALS['lang']['way']['home']; ?></a>
		</li>
		<li>
			<a href="<?php echo $rub_link; ?>"><? echo $GLOBALS['lang']['menu']['workshop']; ?></a>
		</li>
		<li>
			<span><? echo formatnavTitle($GLOBALS['lang']['workshoprep']['mod'].' : '.$current_title); ?></span>
		</li>
	</ul>
</div>
<!--end barre haute -->
<?php


$workshop_report_object= new workshop_report;

if(isset($_POST['enregistrer'])) {
	$data_table=unserialize(urldecode($_POST['data_table']));
	$result=$workshop_report_object->ModifyWorkshopReport($id, $data_table, $sql_object);
	$link_confirm="confirm.php?rub=".$rub."&todo=".$todo."&id=".$id;
	if($result) header("Location: ".$link_confirm);
	else  system_error();
}

if(isset($_POST['valider'])) {
	$table[0]=$_POST['workrep_title'];
	$table[1]=$_POST['workrep_resume'];
	$table[2]=$_POST['workrep_comment'];
	$table[3]=$_POST['workrep_statut'];
	$table[4]=$current_statut; // statut courant

	$integrity=$workshop_report_object->CheckDataIntegrity($table, $sql_object);

	if(is_string($integrity)) {
		$text_format='2FIELD';
	} else {
		$text_format='2HTML';
		}
	$form_title=formatText($_POST['workrep_title'], $text_format);
	$form_resume=formatText($_POST['workrep_resume'], $text_format);
	$form_comment=formatText($_POST['workrep_comment'], $text_format);
	$form_statut=$_POST['workrep_statut'];
	$table=urlencode(serialize($table));
}


// select-box statut
if($form_statut=='P') $mask_statut_P=' selected="selected"';
if($form_statut=='D') $mask_statut_D=' selected="selected"';
if($form_statut=='AA') $mask_statut_AA=' selected="selected"';
if($form_statut=='AP') $mask_statut_AP=' selected="selected"';
$select_statut="<select name=\"workrep_statut\" id=\"workrep_statut\">\n";
$select_statut.="<option value=\"P\"".$mask_statut_P.">".display_statut('P')."</option>\n";
$select_statut.="<option value=\"D\"".$mask_statut_D.">".display_statut('D')."</option>\n";
$select_statut.="<option value=\"AA\"".$mask_statut_AA.">".display_statut('AA')."</option>\n";
$select_statut.="<option value=\"PA\"".$mask_statut_PA.">".display_statut('PA')."</option>\n";
$select_statut.="</select>\n";

include_once("quickicons.php");

?>

<?php
if(!isset($integrity) || is_string($integrity)) {
?>
<div class="contentcontainer">
		<?php
		include_once($dir."/menurub.php");
		?>
		<div id="content">
			<?php
			if(isset($integrity) && is_string($integrity)) display_errors($integrity);
			?>
			<h2><? echo formatTitleh2($current_title); ?></h2>
			<form id="modworkrep" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
				<p>
				<label for="workrep_title"><? echo $GLOBALS['lang']['workshoprep']['title']; ?> : *</label>
				<input name="workrep_title" type="text" class="textfield" id="workrep_title" maxlength="200" value="<?php echo $form_title; ?>" />
				</p>
				<p>
				<label for="workrep_resume"><? echo $GLOBALS['lang']['workshoprep']['resume']; ?> : *</label>
				<textarea id="workrep_resume" name="workrep_resume" class="largetextfield" <?php echo AREA_SETTINGS; ?>><?php echo $form_resume; ?></textarea>
				</p>
				<p>
				<label for="workrep_statut"><? echo $GLOBALS['lang']['workshoprep']['statut']; ?> : *</label>
				<?php echo $select_statut; ?>
				</p>
				<p>
				<label for="workrep_comment"><? echo $GLOBALS['lang']['workshoprep']['comment']; ?> : </label>
				<textarea id="workrep_comment" name="workrep_comment" class="largetextfield" <?php echo AREA_SETTINGS; ?>><?php echo $form_comment; ?></textarea>
				</p>
				<div>
				<input name="id" type="hidden" value="<?php echo $id; ?>" id="id" />
				<input name="rub" type="hidden" value="<?php echo $rub; ?>" id="rub" />
				<input name="todo" type="hidden" value="<?php echo $todo; ?>" id="todo" />
				<?php echo cancel_button($cancel_action_link); ?>
				<input name="valider" type="submit" value="<? echo $GLOBALS['lang']['btn']['valid'] ?>" class="button" id="valider" />
				</div>
			</form>
		</div>
<?php include_once($dir."/help.php"); ?>
</div>
<?php
// Récapitulatif
} else	{
$display_form_comment=empty_none($form_comment);

?>
<div class="contentcontainer">
<?php
include_once($dir."/menurub.php");
?>
<div id="content">
			<h2><? echo formatTitleh2($GLOBALS['lang']['recap']['title']); ?></h2>
			<?php
			echo "<dl class=\"dl3\">\n";
			echo "<dt>".$GLOBALS['lang']['workshoprep']['title']."</dt>\n";
			echo "<dd>". $form_title."</dd>\n";
			echo "<dt>". $GLOBALS['lang']['workshoprep']['resume']. "</dt>\n";
			echo "<dd>". $form_resume."</dd>\n";
			echo "<dt>". $GLOBALS['lang']['divers']['statut'] ."</dt>\n";
			echo "<dd>". display_statut($_POST['workrep_statut']). "</dd>\n";
			echo "<dt>".$GLOBALS['lang']['workshoprep']['comment'] ."</dt>\n";
			echo "<dd>". $display_form_comment. "</dd>\n";
			echo "</dl>\n";
			?>
			<form id="modworkrep" action="<?php echo $_SERVER['SCRIPT_NAME']; ?>" method="post">
				<div>
				<input name="id" type="hidden" value="<?php echo $id; ?>" id="id" />
				<input name="rub" type="hidden" value="<?php echo $rub; ?>" id="rub" />
				<input name="todo" type="hidden" value="<?php echo $todo; ?>" id="todo" />
				<input name="data_table" type="hidden" value="<?php echo $table; ?>" id="data_table" />
				<?php echo cancel_button($cancel_action_link); ?>
				<input name="retour" type="button" value="<? echo $GLOBALS['lang']['btn']['preview'] ?>" class="button" id="retour" onclick="history.go(-1);" />
				<input name="enregistrer" type="submit" value="<? echo $GLOBALS['lang']['btn']['save'] ?>" class="button" id="valider" />
				</div>
			</form>
		</div>
	<?php include_once($dir."/help.php"); ?>
</div>
<?php
}
?>
